Subject: RE: [netlmm] Issue: Prefix allocation and multihomed MNs

From: "Chowdhury, Kuntal" <[email-masked]>
Date: Fri, 28 Sep 2007 18:11:32 -0400

Sri,

If we just add a note to say that: support for multi-homing is out of
scope of the document, it should suffice.

This topic is out of scope, and we should close this thread and move on.

BR,
Kuntal

> -----Original Message-----
> From: Sri Gundavelli [mailto:[email-masked]]
> Sent: Friday, September 28, 2007 4:39 PM
> To: Chowdhury, Kuntal
> Cc: Genadi Velev; [email-masked]; ext Kilian Weniger
> Subject: RE: [netlmm] Issue: Prefix allocation and multihomed MNs
> 
> Hi Kuntal,
> 
> 
> On Fri, 28 Sep 2007, Chowdhury, Kuntal wrote:
> 
> > Dear All,
> >
> > I don't think any of these options make sense. Requiring the MN to
> > associate different MN-IDs over different interfaces means we are
> > imposing new requirements on the MN which we tried to avoid, IMHO.
Also,
> > we cannot prevent the MN to attempt network access over more than
one
> > interface.
> >
> > I do not believe that there will be any issue if the MN attempts to
use
> > more than one interface. In the particular example given before, if
the
> > MN chooses to use interface 2, everything will be good. If the MN
> > chooses to use interface 1, there are ways to recover from a
momentary
> > glitch. However, I think we should stay out of this level of detail
to
> > describe an out-of-scope topic (multi-homing) in the base spec.
> >
> > I like Behcet's proposal to state that: support for multi-homing is
out
> > of scope of the document. This is simple and precise.
> 
> I agree and I've been saying this is out-of-scope. I do not want
> this argument to lead to a solution with some explicit restrictions
> on inter-access handoffs (which comes naturally with the current
> spec). If the text suggested by Genadi leads to any such restrictions,
> which I did not analyze in detail, I'll not be in favour of this. My
> point is, we dont go into the details for some thing that is out of
> scope. Just have a note that there may be glitch, when multiple
> interfaces are active in a single domain and leave it there.
> 
> If every one agrees on this, we can suggest some text on this and
> close this issue.
> 
> Sri

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: "Narayanan, Vidya" <[email-masked]>
Date: Fri, 28 Sep 2007 16:22:45 -0700

Folks,
It is not helping to keep insisting that stating multi-homing is out of
scope is sufficient.  The situation at hand is really the following and
let's own up to it: 

"This protocol, as currently specified, may result in unpredictable,
intermittent or no IP connectivity to a device that is multihomed, over
any of its interfaces." 

This doesn't just mean multi-homing is not supported; it means that a
unmodified multi-homed IP device can't have stable IP access. 

If all this protocol is doing is providing IP connectivity over only one
interface of a multi-homed device, we won't be having this conversation.

I don't believe we can call this document done given the situation at
hand.  So, please work towards solving the issue, rather than repeatedly
claiming it is out of scope. 

Thanks,
Vidya

> From: Chowdhury, Kuntal [mailto:[email-masked]] 
> Sent: Friday, September 28, 2007 3:12 PM
> To: Sri Gundavelli
> Cc: ext Kilian Weniger; [email-masked]; Genadi Velev
> If we just add a note to say that: support for multi-homing 
> is out of scope of the document, it should suffice.
> 
> > I agree and I've been saying this is out-of-scope. I do not 
> want this 
> > argument to lead to a solution with some explicit restrictions on 
> > inter-access handoffs (which comes naturally with the 
> current spec). 
> > If the text suggested by Genadi leads to any such 
> restrictions, which 
> > I did not analyze in detail, I'll not be in favour of this. 
> My point 
> > is, we dont go into the details for some thing that is out 
> of scope. 
> > Just have a note that there may be glitch, when multiple interfaces 
> > are active in a single domain and leave it there.
> >